### org.jfree.layouting.input.style.keys.font

# Class FontStretch

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.font.FontStretch`

`public class FontStretch`
`extends java.lang.Object`

Creation-Date: 26.10.2005, 14:42:15

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSConstant`

  `CONDENSED`

  `static CSSConstant`

  `EXPANDED`

  `static CSSConstant`

  `EXTRA_CONDENSED`

  `static CSSConstant`

  `EXTRA_EXPANDED`

  `static CSSConstant`

  `NARROWER`

  `static CSSConstant`

  `NORMAL`

  `static CSSConstant`

  `SEMI_CONDENSED`

  `static CSSConstant`

  `SEMI_EXPANDED`

  `static CSSConstant`

  `ULTRA_CONDENSED`

  `static CSSConstant`

  `ULTRA_EXPANDED`

  `static CSSConstant`

  `WIDER`

  ## Method Summary

  `static CSSConstant`

  `getByOrder(int order)`

  `static int`

  `getOrder(CSSValue fs)`

## Field Details

### CONDENSED

    public static final CSSConstant CONDENSED

### EXPANDED

    public static final CSSConstant EXPANDED

### EXTRA_CONDENSED

    public static final CSSConstant EXTRA_CONDENSED

### EXTRA_EXPANDED

    public static final CSSConstant EXTRA_EXPANDED

### NARROWER

    public static final CSSConstant NARROWER

### NORMAL

    public static final CSSConstant NORMAL

### SEMI_CONDENSED

    public static final CSSConstant SEMI_CONDENSED

### SEMI_EXPANDED

    public static final CSSConstant SEMI_EXPANDED

### ULTRA_CONDENSED

    public static final CSSConstant ULTRA_CONDENSED

### ULTRA_EXPANDED

    public static final CSSConstant ULTRA_EXPANDED

### WIDER

    public static final CSSConstant WIDER

## Method Details

### getByOrder

    public static CSSConstant getByOrder(int order)

### getOrder

    public static int getOrder(CSSValue fs)